Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jini.rio.qos.measurable.memory
Class CalculableMemory

    java.lang.Object
      org.jini.rio.watch.Calculable
          org.jini.rio.qos.measurable.memory.CalculableMemory

All Implemented Interfaces:
  Serializable

    public class CalculableMemory

extends Calculable

A Calculable used to collect Memory utilization

See Also:
  Serialized Form

Field Summary

Fields inherited from class org.jini.rio.watch.Calculable
`id, value, when`

Constructor Summary
`CalculableMemory(String id, double value, long when, double totalMemory)` Creates new CalculableMemory

Method Summary
`String` | `getArchiveRecord()` Gets an archival representation for this Calculable
`double` | `getCurrentUtilization()` Getter for property value
`double` | `getFreeMemory()` Get the free memory
`double` | `getTotalMemory()` Getter for property totalMemory.
`double` | `getUsedMemory()` Get the used memory
`void` | `setCurrentUtilization(double value)` Setter for property currSpeed.
`void` | `setTotalMemory(double totalMemory)` Setter for property totalMemory.
`String` | `toString()` Returns a string representation of the object.

Methods inherited from class org.jini.rio.watch.Calculable
`equals, getId, getValue, getWhen, hashCode, setId, setValue, setWhen`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### CalculableMemory

    public CalculableMemory(String id,
                            double value,
                            long when,
                            double totalMemory)

  Creates new CalculableMemory

  Parameters:
    `id` - The identifier for this Calculable record
    `value` - The value for the Calculable Record
    `when` - The time when the recorded value was captured
    `totalMemory` - The total memory in the Arena

Method Detail

### getCurrentUtilization

    public double getCurrentUtilization()

  Getter for property value

  Returns:
    Value of property value

### setCurrentUtilization

    public void setCurrentUtilization(double value)

  Setter for property currSpeed.

  Parameters:
    `value` - New value of property value.

### getTotalMemory

    public double getTotalMemory()

  Getter for property totalMemory.

  Returns:
    Value of property totalMemory.

### setTotalMemory

    public void setTotalMemory(double totalMemory)

  Setter for property totalMemory.

  Parameters:
    `totalMemory` - New value of property totalMemory.

### getUsedMemory

    public double getUsedMemory()

  Get the used memory

### getFreeMemory

    public double getFreeMemory()

  Get the free memory

### toString

    public String toString()

  Returns a string representation of the object.

  Overrides:
    `toString` in class `Calculable`
  Returns:
    a string representation of the object.

### getArchiveRecord

    public String getArchiveRecord()

  Gets an archival representation for this Calculable

  Overrides:
    `getArchiveRecord` in class `Calculable`
  Returns:
    a string representation in archive format

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Project Rio
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © Project Rio.